


// ------------------------------------------------------------------------------
//
// LudumDare.com 48hr compo, July 2002
//
// Dave Reed (Bluescreen)'s entry
//
// The flame particle system
//
// ------------------------------------------------------------------------------


#define MAX_FLAMES 1024

typedef struct
{
	int	   type;
	VECTOR vPos;
	VECTOR vVel;
	float  life;
	int	   frame;
	int    tx;
	int    ty;
	float  t;
	float size;

} FLAME;


enum
{
	FLAME_NONE=0,
	FLAME_BIG,
	FLAME_SPARK,
	FLAME_SMALL,
	FLAME_SLIME,
	FLAME_SMOKE
};

void FLAMES_init(void);
void FLAME_add(int x,int y);
void FLAMES_initTextures(void);
void FLAMES_update(void);
void FLAME_addSlime(int x,int y);